Name: moto4lin
Version: 0.3
Release: alt6

Summary: File manager for Motorola P2K phones
Summary(ru_RU.CP1251):        Motorola P2K
License: GPL
Group: Communications
Url: http://moto4lin.sf.net/

Source0: %name-%version.tar.bz2
Source1: %name.rules

Packager: Mobile Development Team <mobile@packages.altlinux.org>

BuildPreReq: gcc-c++ libusb-devel
BuildPreReq: libqt3-devel >= 3.3.0

%description
File manager and seem editor for Motorola P2K phones (C3x0, C650, V300,
V500, V600, E398, T720, T722 etc.).

This is alpha version, use it at your own risk (you should backup all
files from your phone before using this program).

%description -l ru_RU.CP1251
    seem  P2K- Motorola (C3x0, C650, V300,
V500, V600, E398, T720, T722  .).

  -,       . 
        .

%prep
%setup
%__subst "s,debug,," moto_ui/moto_ui.pro

%build
export PATH=$PATH:%_qt3dir/bin
lrelease moto_ui/moto_ui.pro
qmake "CONFIG+=no_fixpath"
%make_build

%install
%makeinstall INSTALL_ROOT=%buildroot
install -pD -m644 %SOURCE1 %buildroot%_sysconfdir/udev/rules.d/75-%name.rules

%files
%_sysconfdir/udev/rules.d/*
%_bindir/*
%_datadir/%name/
%doc Changelog INSTALL README

%changelog
* Wed Apr 02 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.3-alt6
- SVN r82
- add udev rules file for 22b8:4901 and 4902 to allow work without superuser
  rights

* Sun Oct 15 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.3-alt5
- SVN r79
- change Packager:

* Sat Jun 11 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.3-alt4
- package *.pat, needed for correct java upload

* Sun May 29 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.3-alt3
- CVS 20050529

* Wed Apr 20 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.3-alt2
- CVS 20050420

* Sat Mar 05 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.3-alt1
- CVS 20050304

* Fri Feb 25 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.2.1-alt1
- first build
- warning: supports only 22b8:4902 (C380), connected on /dev/ttyACM0
